services:
    Akeneo\Pim\Automation\DataQualityInsights\Application\ProductEvaluation\Enrichment\EvaluateCompleteness:
        arguments:
            - '@Akeneo\Pim\Automation\DataQualityInsights\Infrastructure\Persistence\Query\Structure\CachedGetLocalesByChannelQuery'

    akeneo.pim.automation.data_quality_insights.criteria_evaluation.evaluate_product_completeness_of_required_attributes:
        class: Akeneo\Pim\Automation\DataQualityInsights\Application\ProductEvaluation\Enrichment\EvaluateCompletenessOfRequiredAttributes
        arguments:
            - '@akeneo.pim.automation.calculate_product_completeness_of_required_attributes'
            - '@Akeneo\Pim\Automation\DataQualityInsights\Application\ProductEvaluation\Enrichment\EvaluateCompleteness'
        tags:
            - { name: 'akeneo.pim.automation.data_quality_insights.evaluate_product_criterion' }

    akeneo.pim.automation.data_quality_insights.criteria_evaluation.evaluate_product_completeness_of_non_required_attributes:
        class: Akeneo\Pim\Automation\DataQualityInsights\Application\ProductEvaluation\Enrichment\EvaluateCompletenessOfNonRequiredAttributes
        arguments:
            - '@akeneo.pim.automation.calculate_product_completeness_of_non_required_attributes'
            - '@Akeneo\Pim\Automation\DataQualityInsights\Application\ProductEvaluation\Enrichment\EvaluateCompleteness'
        tags:
            - { name: 'akeneo.pim.automation.data_quality_insights.evaluate_product_criterion' }

    akeneo.pim.automation.data_quality_insights.criteria_evaluation.evaluate_product_model_completeness_of_required_attributes:
        class: Akeneo\Pim\Automation\DataQualityInsights\Application\ProductEvaluation\Enrichment\EvaluateCompletenessOfRequiredAttributes
        arguments:
            - '@akeneo.pim.automation.calculate_product_model_completeness_of_required_attributes'
            - '@Akeneo\Pim\Automation\DataQualityInsights\Application\ProductEvaluation\Enrichment\EvaluateCompleteness'
        tags:
            - { name: 'akeneo.pim.automation.data_quality_insights.evaluate_product_model_criterion' }

    akeneo.pim.automation.data_quality_insights.criteria_evaluation.evaluate_product_model_completeness_of_non_required_attributes:
        class: Akeneo\Pim\Automation\DataQualityInsights\Application\ProductEvaluation\Enrichment\EvaluateCompletenessOfNonRequiredAttributes
        arguments:
            - '@akeneo.pim.automation.calculate_product_model_completeness_of_non_required_attributes'
            - '@Akeneo\Pim\Automation\DataQualityInsights\Application\ProductEvaluation\Enrichment\EvaluateCompleteness'
        tags:
            - { name: 'akeneo.pim.automation.data_quality_insights.evaluate_product_model_criterion' }

    akeneo.pim.automation.data_quality_insights.application.evaluate_product_image_enrichment:
        class: Akeneo\Pim\Automation\DataQualityInsights\Application\ProductEvaluation\Enrichment\EvaluateImageEnrichment
        arguments:
            - '@akeneo.pim.automation.calculate_product_image_enrichment'
            - '@Akeneo\Pim\Automation\DataQualityInsights\Infrastructure\Persistence\Query\Structure\CachedGetLocalesByChannelQuery'
        tags:
            - { name: 'akeneo.pim.automation.data_quality_insights.evaluate_product_criterion' }

    akeneo.pim.automation.data_quality_insights.application.evaluate_product_model_image_enrichment:
        class: Akeneo\Pim\Automation\DataQualityInsights\Application\ProductEvaluation\Enrichment\EvaluateImageEnrichment
        arguments:
            - '@akeneo.pim.automation.calculate_product_model_image_enrichment'
            - '@Akeneo\Pim\Automation\DataQualityInsights\Infrastructure\Persistence\Query\Structure\CachedGetLocalesByChannelQuery'
        tags:
            - { name: 'akeneo.pim.automation.data_quality_insights.evaluate_product_model_criterion' }
